Mailing List Archive

[PATCH 20/28] python-r1.eclass: Use 'dosym -r' in EAPI 8
Signed-off-by: Micha? Górny <mgorny@gentoo.org>
---
eclass/python-r1.eclass | 8 +++++++-
1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/eclass/python-r1.eclass b/eclass/python-r1.eclass
index d464d3ef8f8a..77709bfe7591 100644
--- a/eclass/python-r1.eclass
+++ b/eclass/python-r1.eclass
@@ -846,7 +846,13 @@ python_replicate_script() {
# install the wrappers
local f
for f; do
- _python_ln_rel "${ED%/}/usr/lib/python-exec/python-exec2" "${f}" || die
+ if [[ ${EAPI} != [67] ]]; then
+ dosym -r /usr/lib/python-exec/python-exec2 \
+ "${f#${ED}}"
+ else
+ _python_ln_rel "${ED%/}/usr/lib/python-exec/python-exec2" \
+ "${f}" || die
+ fi
done
}

--
2.32.0